summaryrefslogtreecommitdiffstats
path: root/dimension/tests/invalid-macro.sh
diff options
context:
space:
mode:
Diffstat (limited to 'dimension/tests/invalid-macro.sh')
-rwxr-xr-xdimension/tests/invalid-macro.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/dimension/tests/invalid-macro.sh b/dimension/tests/invalid-macro.sh
new file mode 100755
index 0000000..cf6f353
--- /dev/null
+++ b/dimension/tests/invalid-macro.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+#########################################################################
+# Copyright (C) 2009-2011 Tavian Barnes <tavianator@tavianator.com> #
+# #
+# This file is part of The Dimension Test Suite. #
+# #
+# The Dimension Test Suite is free software; you can redistribute it #
+# and/or modify it under the terms of the GNU General Public License as #
+# published by the Free Software Foundation; either version 3 of the #
+# License, or (at your option) any later version. #
+# #
+# The Dimension Test Suite is distributed in the hope that it will be #
+# useful, but WITHOUT ANY WARRANTY; without even the implied warranty #
+# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU #
+# General Public License for more details. #
+# #
+# You should have received a copy of the GNU General Public License #
+# along with this program. If not, see <http://www.gnu.org/licenses/>. #
+#########################################################################
+
+${top_builddir}/dimension/dimension ${dimension_flags} --parse ${srcdir}/invalid-macro.pov
+[ $? -lt 128 -a $? -gt 0 ]